#!/bin/bash

ZABBIX_SENDER="/usr/bin/zabbix_sender"
ZABBIX_CONF="/etc/zabbix/zabbix_agentd.conf"

function zsend {
        $ZABBIX_SENDER -c $ZABBIX_CONF -k $1 -o $2 > /dev/null 2>&1
        }

/usr/bin/apt-get update >/dev/null 2>&1

AVAIL=`/usr/bin/sudo apt-get -s dist-upgrade | grep -c Inst`
CRIT=`/usr/bin/sudo apt-get -s dist-upgrade | grep Inst | grep -c Debian-Security`

        zsend apt.critical $CRIT
        zsend apt.available $AVAIL

echo "1"

